@charset "utf-8";
/* CSS Document */
/*リンクの形状*/
#page-top a {
  display: flex;
  width: 20%;
  height: auto;
  transition: all 0.3s;
}
#page-top a:hover {
  transform: scale(1.2, 1.2);
}
/*リンクを右下に固定*/
#page-top {
  position: fixed;
  right: 0;
  bottom: 10px;
  z-index: 30;
  /*はじめは非表示*/
  opacity: 0;
  transform: translateY(100px);
}
/*　上に上がる動き　*/
#page-top.UpMove {
  animation: UpAnime 0.5s forwards;
}
@keyframes UpAnime {
  from {
    opacity: 0;
    transform: translateY(100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/*　下に下がる動き　*/
#page-top.DownMove {
  animation: DownAnime 0.5s forwards;
}
@keyframes DownAnime {
  from {
    opacity: 1;
    transform: translateY(0);
  }
  to {
    opacity: 1;
    transform: translateY(100px);
  }
}